Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface IInputProvider

All Known Subinterfaces:
  IInputSelectionProvider

All Known Implementing Classes:
  AbstractListViewer, AbstractTableViewer, AbstractTreeViewer, CheckboxTableViewer, CheckboxTreeViewer, ColumnViewer, ComboViewer, CommonViewer, ContainerCheckedTreeViewer, ContentMergeViewer, ContentViewer, DiffTreeViewer, ListViewer, ProjectionViewer, SourceViewer, StructureDiffViewer, StructuredViewer, TableTreeViewer, TableViewer, TextConsoleViewer, TextMergeViewer, TextViewer, TreeViewer, Viewer

    public interface IInputProvider

Interface common to all objects that provide an input.

Method Summary
`Object` `getInput()` Returns the input.

Method Detail

### getInput

    Object getInput()

  Returns the input.

  Returns:
    the input object

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.